EDIT - task #6366

feature request # 6361 (Closed): [MASTER] Merge all TaxonName classes into 1 class

Merge cultivar names into TaxonNameBase

01/21/2017 12:06 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 2:00 hours
Target version: Release 4.6

Severity: normal

Description

by moving all functionality up, replacing all occurrences of CultivarName in code, adapting cache strategies and writing validation

rules

Associated revisions

Revision 2d370ced - 01/30/2017 12:24 AM - Andreas Miiller

ref #6366 move cultivar attributes and functions to TaxonNameBase

Revision 6de1d1c3 - 01/30/2017 01:34 AM - Andreas Miiller
ref #6365 ref #6366 ref 6364 Update CdmModelCacher in TaxEditor

Revision 174ae83b - 01/30/2017 10:38 AM - Andreas Muller

fix #6366 use TaxonNameFactory for cultivar names

History

#1 - 01/21/2017 12:07 PM - Andreas Miuller
- Parent task set to #6361

#2 - 01/28/2017 12:55 AM - Andreas Miiller
- % Done changed from 0 to 40

#3 - 01/28/2017 12:55 AM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 4.6

#4 - 01/30/2017 10:41 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 40 to 50

Applied in changeset cdmlib|174ae83b06b5d01305560d46a3391¢c520d471354.

#5 - 01/30/2017 01:31 PM - Andreas Miiller
- % Done changed from 50 to 90

#6 - 03/01/2017 02:22 PM - Andreas Miiller

- Status changed from Resolved to Closed

We close this. The remaining tasks will be done when really merging everything.

#7 - 06/05/2017 09:49 AM - Andreas Miiller
- % Done changed from 90 to 100
